gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Object for rc-file handling--- for example, ~/.gtkrc--- and application style and default setting. Rc files can be used to set the colors of just about any widget, and they can also be used to tile pixmaps onto the background of some widgets. System.Object
- Method
  Gtk.Style `` Finds all matching RC styles for a given widget, composites them together, and then creates a representing the composite appearance. a a (GTK+ actually keeps a cache of previously created styles, so a new style may not be created.)
- Method
  System.Void `` Parses an rc file into the internal data structure. a , the file to parse.
- Method
  System.String `` Searches for a theme engine in the GTK+ search path. This function is not useful for applications and should not be used. a a
- Method
  System.Void `` Parses resource information directly from a string. a to parse.
- Method
  System.Boolean `` `` If the modification time on any previously read file for the given has changed, discard all style information and then reread all previously read RC files. a a , force reload whether or not anything changed if TRUE a , TRUE if the files were re-read.
- Method
  System.Void `` Adds a file to the list of files to be parsed at the end of . a , the filename to add to the parse list If is not absolute, it is searched in the current directory.
- Method
  System.Boolean If the modification time on any previously read file for the default has changed, discard all style information and then reread all previously read RC files. a , TRUE if files were re-read.
- Constructor
  Public constructor; generates a new RC parser.
  a
- Property
  System.String Returns the name a directory in which GTK# looks for theme engines. a Unlike the underlying GTK+ function, the return value of this method is a string, not a directory handle that must be freed later. (FIXME: the GTK+ docs point at the "GTK_PATH" section of "Running GTK applications", which is very detailed and may or may not need included here.)
- Property
  System.String Returns the standard directory in which themes should be installed. (GTK+ does not actually use this directory itself.) a Unlike the underlying GTK+ function, the return value of this method is a string, not a directory handle that must be freed later.
- Property
  System.String The path to the IM module file specified by the RC file. This may be overridden by the GTK_IM_MODULE_FILE environment variable. a (FIXME: does this apply for Gtk# too?) In standard Gtk+ applications, the GTK_IM_MODULE_FILE environment variable overrides the im_module_file specified in the RC files, which in turn overrides the default value sysconfdir/gtk-2.0/gtk.immodules (sysconfdir is the sysconfdir specified when GTK+ was configured, usually /usr/local/etc.)
- Property
  System.String Obtains the path in which to look for IM modules. a (FIXME: "See the documentation of the GTK_PATH environment variable for more details about looking up modules.") This function is useful solely for utilities supplied with GTK+ and should not be used by applications under normal circumstances.
- Property
  System.String The current list of RC files that will be parsed at the end of . a a , a list of filenames. Unlike the underlying GTK+ function, this function's return string does not use memory owned by the application.
- Method
  Gtk.Style `` `` `` `` Creates up a from styles defined in a RC file by providing the raw components used in matching. This function may be useful when creating pseudo-widgets that should be themed like widgets but don't actually have corresponding GTK# widgets. An example of this would be items inside a GNOME canvas widget. a a , the widget path to use when looking up the style, or if no matching against the widget path should be done a , the class path to use when looking up the style, or if no matching against the class path should be done. a , a type that will be used along with parent types of this type when matching against class styles, or G_TYPE_NONE a ,a style created by matching with the supplied paths, or if nothing matching was specified and the default style should be used. The returned value is owned by GTK+ as part of an internal cache, so you must call g_object_ref() on the returned value if you want to keep a reference to it. (FIXME: what's the GTK# equivalent of g_object_ref()?)
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` To be added a To be added